package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.common.composite.LimitBidRecommendComposite;

/**
 * @Description: 限中标推荐
 * @author guoyr
 */
public class LimitBidRecommonedAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		parent.setData("tenderProjectEntity", this.getTenderProject());
		LimitBidRecommendComposite composite = new LimitBidRecommendComposite(parent, SWT.NONE);
		listener.loadComposite(this, composite);
	}

}
